=== debian/changelog ===
papi (6.0.0~dfsg-2) unstable; urgency=medium

  * Rewrite shebang to python3.
  * Move PAPI_derived_event_files manpage to section 5.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Apr 2020 22:16:18 +0200

papi (6.0.0~dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump libpfm4-dev B-D to >= 4.10.1+git41.
  * Bump SONAME to libpapi.so.6.0.
  * Update symbols for 6.0.0.
  * Refresh patches.
  * fix-typos.patch: Fix some more typos found by Lintian.
  * Build with dh-python for the new papi_hl_output_writer.py script.
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Mar 2020 18:59:29 +0100
