=== debian/watch ===
version=4

opts="dversionmangle=s/\~dfsg\d*$//,repacksuffix=~dfsg" \
https://icl.utk.edu/papi/software/index.html .*/papi-(.*)\.tar\.gz
